{ lib, ... }: {
  programs.git = let
    gitconfig = builtins.fromTOML (
      lib.readFile
        ((builtins.fetchGit {
          url = "https://git.finally.coffee/transcaffeine/dotfiles.git";
          ref = "main";
          rev = "3811febee134e62d3539c472005f04710d913611";
          shallow = false;
        }).outPath + "/config/git/gitconfig")
    );
    key = gitconfig.user.signingKey;
    aliases = gitconfig.alias;
  in {
    enable = true;
    userName = gitconfig.user.name;
    userEmail = gitconfig.user.email;
    signing = {
      signByDefault = true;
      inherit key;
    };
    inherit aliases;
    extraConfig = {
      format = gitconfig.format;
      commit = gitconfig.commit;
      tag = gitconfig.tag;
      pull = gitconfig.pull;
      rebase = gitconfig.rebase;
    };
  };
}
